如何在centos7上安装php5.6

默认情况下,CENTOS 7官方软件包库有PHP5.4,它已经到了生命的尽头,不再被开发者积极维护。为了跟上最新的特性和安全更新,您需要在CENTOS 7系统上更新一个更新的(最新的)PHP版本。
因此,强烈建议您升级或安装最新支持的稳定版本的PHP 5.5、PHP 5.6或PHP 7,这是CENTOS 7 Linux发行版。在本文中,我们将解释如何安装支持的稳定版本的PHP 5.5(仅提供安全更新)或在CENTOS 7上的PHP 5.6(同样的指令也适用于RHEL7)分发。

1 要安装PHP 5.6,必须使用下面的命令安装和启用ECEL和remi存储库到CENTOS 7系统。

# yum install https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
# yum install http://rpms.remirepo.net/enterprise/remi-release-7.rpm

2 接下来,安装yum-utils,它是与YUM集成的各种实用工具,以增强其默认功能,使其具有更高级的包管理选项,也使其更易于使用。

它的一些重要特征包括操纵存储库,启用或禁用GO上的包和更多的包,而不需要任何手动配置。
# yum install yum-utils

3 yum-utils 提供的最重要的程序之一是 yum-config-manager,您可以使用它作为活动的Remi存储库作为安装各种PHP版本的默认存储库。例如,如果您想在CENTOS 7上安装PHP 5.5、PHP 5.6或PHP 7.2,只需启用它并按所示安装即可。

# yum-config-manager --enable remi-php55   [Install PHP 5.5]
# yum-config-manager --enable remi-php56   [Install PHP 5.6]
# yum-config-manager --enable remi-php72   [Install PHP 7.2]

4 现在您已经启用了PHP的选定版本,您可以安装PHP(这里,我们选择安装PHP5.6),所有需要的模块如下

# yum-config-manager --enable remi-php56   [Install PHP 5.6]
# yum install php php-mcrypt php-cli php-gd php-curl php-mysql php-ldap php-zip php-fileinfo

# 本文由moneyslow.com(海阔中文网)整理发布。

要注意的重要事项:
如果您想降级PHP版本的原因之一,您将需要删除现有的PHP版本,然后重新安装新的PHP与您需要的模块。
您也可以在Linux上安装多个PHP版本,并手动选择默认使用哪个版本。
然后,仔细检查系统上PHP的安装版本。
# php -v

京ICP备11047313号-19 彩虹岛电子书